## Class FormalParameter

    java.lang.Object
      |
      +--FormalParameter

public class FormalParameter
extends java.lang.Object

Field Summary
`private DeclId` `declid`
`private Type` `type`

Constructor Summary
`FormalParameter()`

Method Summary
`void` `codegen(ClassFile classfile, CodeAttribute code)`
`java.lang.String` `get_Name()`
`java.lang.String` `get_St_Type()`
`Type` `get_Type()`
`void` `set_DeclId(DeclId did)`
`void` `set_Type(Type t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    private Type type

### declid

    private DeclId declid

Constructor Detail

### FormalParameter

    public FormalParameter()

Method Detail

### set_Type

    public void set_Type(Type t)

### set_DeclId

    public void set_DeclId(DeclId did)

### get_Name

    public java.lang.String get_Name()

### get_Type

    public Type get_Type()

### get_St_Type

    public java.lang.String get_St_Type()

### codegen

    public void codegen(ClassFile classfile,
                        CodeAttribute code)